Name:		fcitx-hangul
Version:	0.1.1
Release:	1%{?dist}
Summary:	Hangul Engine for Fcitx
Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://code.google.com/p/fcitx/
Source0:	http://fcitx.googlecode.com/files/%{name}-%{version}.tar.xz

BuildRequires:	cmake, fcitx-devel, gettext, intltool, libhangul-devel
Requires:	fcitx

%description
Fcitx-hangul is a Hangul engine wrapper for Fcitx. It
Provides Korean input method from libhangul.

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd
cat << EOF > %{name}.lang 
%lang(ko) /usr/share/locale/ko/LC_MESSAGES/fcitx-hangul.mo
%lang(zh) /usr/share/locale/zh_CN/LC_MESSAGES/fcitx-hangul.mo
%lang(zh) /usr/share/locale/zh_TW/LC_MESSAGES/fcitx-hangul.mo
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/inputmethod/hangul.conf
%{_datadir}/fcitx/configdesc/%{name}.desc
%{_datadir}/fcitx/skin/default/hangul.png
%{_datadir}/fcitx/hangul/symbol.txt
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/status/fcitx-hanja-active.png
%{_datadir}/icons/hicolor/64x64/status/fcitx-hanja-inactive.png

%changelog
* Tue May 22 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-1
- Initial Package
